The Componere\Method class

- « Componere\Patch::getClosures

- Componere\Method::__construct »

- PHP Manual
- Componere
- The Componere\Method class

# The Componere\Method class

(Componere 2 >= 2.1.0)

## Introduction

A Method represents a function with modifiable accessibility flags

## Class synopsis

final class Componere\Method {
/* Constructor */
public __construct(Closure `$closure`)
/* Methods */
public setPrivate(): Method
public setProtected(): Method
public setStatic(): Method
public getReflector(): ReflectionMethod
}

## Table of Contents

- Componere\Method::__construct — Method Construction
- Componere\Method::setPrivate — Accessibility Modification
- Componere\Method::setProtected — Accessibility Modification
- Componere\Method::setStatic — Accessibility Modification
- Componere\Method::getReflector — Reflection